import QtQuick 2.0

Rectangle {
    id: redRect
    width: 150;
    height: 50;
    border.color: "black"
    border.width: 3;

    color: Qt.darker(barva)
    property url myurl: "http://www.fit.vutbr.cz/"
    property color barva: redMouse.pressed ? Qt.darker(barva2, 1.2): Qt.darker(barva2, 1.5);
    property color barva2: "#aaaaaa"
    property int counter: 0
    property alias souborObrazku: obrazek.source
    property alias titulek: textObject.text
    signal klik();

    Image {
        id: obrazek
        source: "arrow.png"
        height: parent.height/2
        width: 30;
        fillMode: Image.PreserveAspectFit ;
    }

    MouseArea {
        id: redMouse;
        anchors.fill: parent;
        onClicked: {
            parent.counter++;
            redRect.klik()
        }
    }

    Text {
        id: textObject
        x: obrazek.width + 10;
        text: qsTr("text") + " " + redRect.counter;
        font.family: "Helvetica"
        font {
            bold: true;
            pointSize: 32
        }

        color: Qt.lighter(redRect.barva)

        onColorChanged: {
//                console.log("new color is " + color)
//                text = "new color " + color
//                textObject.text = "new color " + color // s id
//                this.text = "new color " + color // this
////                parent.title = "new color " + color // parent
            okno.title = "new color " + color
        }
    }

}

