import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.Controls 2.2
import QtQuick.XmlListModel 2.0
import cz.vutbr.fit 1.0
import "functions.js" as F

Window {
    id: okno
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    ListModel {
        id: model1
        ListElement { title: "test"; value: 5 }
        ListElement { title: "abc"; value: 15 }
        ListElement { title: "qqq"; value: 35 }
        ListElement { title: "tescasbjcasbt"; value: 5 }
        ListElement { title: "test"; value: 25 }
    }

    MyQMLObject {
        id: objMy
    }

    XmlListModel {
        id: model2
        source: "http://www.fit.vutbr.cz/news/news-rss.php"
        query: "/rss/channel/item"

        XmlRole { name: "title"; query: "title/string()" }
        XmlRole { name: "pubDate"; query: "pubDate/string()" }
    }

    ListView {
        model: model2
        anchors.fill: parent;
        delegate: Button {
            text: title
        }
    }
//    ListView {
//        orientation: ListView.Horizontal
//        model: model1
//        anchors.fill: parent;
//        delegate: Rectangle{
//            width: 10;
//            height: value
//            color: "red"
//        }
//    }

//    Row {
//        id: radek

//        spacing: 10;

//        Repeater {
//            model: model1;

//            Tlacitko {
//                clip: true;
//                titulek: name
//                onKlik: {
//                    console.log("klik" + counter)
//                }
//            }
//        }
//    }

//    Tlacitko {
//        anchors.horizontalCenter: radek.horizontalCenter;
//        anchors.top: radek.bottom;
//        id: blueRect;
//        x: 200
//        width: 400;
//        titulek: "Druhe tlacitko"
//        barva2: "#aaaaaa"
//        souborObrazku: "Tall_Tower.png"

//        onKlik: {
//            console.log("klik 2: " + counter)
//            obdelnik.prepinac = !obdelnik.prepinac
//        }
//    }

    Rectangle {
        id: obdelnik
        y: 200;
        x: prepinac ? 0 : okno.width - obdelnik.width
        property int prepinac: 0
        color: "#00ff00"
        width: 100;
        height: 100;
        Behavior on x {
            NumberAnimation {
                duration: 1000
                easing.type:  Easing.OutInBounce
            }
        }
    }

    Component.onCompleted: {
        console.log ("rand: " + objMy.rand );
        objMy.rand = 122;
//        console.log(blueRect.color)

    }
}
